Prospects

List Prospects

GET/v1/prospects
GET
/v1/prospects

Fetch all user prospects with pagination

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Query Parameters

searchstring

Search by First name, Last name and Email

pageSizenumber

Number of items per page. Values greater than 100 will be capped to 100. Default is 100 if not provided.

Default: 100Value in: 10 | 20 | 50 | 100

pagenumber

Page number for pagination.

Default: 1

sortstring

Sort order for the results.

Value in: "ASC" | "DESC"

sortBystring

Field to sort the results by. If not selected, default sorting is done by createdAt.

Value in: "createdAt" | "owner"

includeCustomFieldsstring

Whether to include custom fields in the response. Use "true" or "false".

Responses

200
Retrieved all prospects successfully
{
  "payload": [
    {
      "id": "jzRkmgMdwA",
      "createdAt": "2022-01-13T09:48:35.824Z",
      "email": "[email protected]",
      "verificationStatus": "valid",
      "attributes": [
        {
          "id": "lPYGOLkyzV",
          "key": "First Name",
          "value": "John"
        },
        {
          "id": "lPYGOLkyzV",
          "key": "Last Name",
          "value": "Doe"
        },
        {
          "id": "lPYGOLkyzV",
          "key": "Email",
          "value": "[email protected]"
        },
        {
          "id": "lPYGOLkyzV",
          "key": "Company",
          "value": "Company"
        },
        {
          "id": "lPYGOLkyzV",
          "key": "Phone Number",
          "value": ""
        },
        {
          "id": "lPYGOLkyzV",
          "key": "City",
          "value": "City"
        },
        {
          "id": "lPYGOLkyzV",
          "key": "Country",
          "value": "Country"
        },
        {
          "id": "lPYGOLkyzV",
          "key": "LinkedIn",
          "value": ""
        },
        {
          "id": "lPYGOLkyzV",
          "key": "Job Title",
          "value": ""
        },
        {
          "id": "lPYGOLkyzV",
          "key": "State",
          "value": "state"
        },
        {
          "id": "lPYGOLkyzV",
          "key": "Industry",
          "value": "Information Technology"
        },
        {
          "id": "lPYGOLkyzV",
          "key": "Company Domain",
          "value": "example.com"
        }
      ],
      "tags": [
        {
          "id": "bZwpeqMPQL",
          "name": "tag 1",
          "userId": "9KwOp8YP6k"
        },
        {
          "id": "M2zJX4lP3W",
          "name": "tag 2",
          "userId": "9KwOp8YP6k"
        },
        {
          "id": "4bwbkJbPEA",
          "name": "tag 3",
          "userId": "9KwOp8YP6k"
        }
      ]
    }
  ]
}

Request

curl -X GET \
  "https://open-api.saleshandy.com/v1/prospects" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

No response body